summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2015-01-28 02:01:32 +0100
committerSven Gothel <[email protected]>2015-01-28 02:01:32 +0100
commit26c6d2c724ddda48bfbeedffe626f81ab3178ae1 (patch)
tree4def45717849f199346732931421da9a36907127
parent8f29378cfcef86b0e7c351e9c5df3c07b15edca9 (diff)
Bug 1124 - Android Build: Use SDK >= 24.0.2 (build-tools >= 21.1.2) and NDK >= 10d
Adjust build scripts and GlueGen Android tasks for SDK >= 24.0.2 (build-tools >= 21.1.2) and NDK >= 10d
-rw-r--r--make/jogamp-androidtasks.xml2
-rwxr-xr-xmake/scripts/make.gluegen.all.android-armv6-cross.sh59
-rwxr-xr-xmake/scripts/make.gluegen.all.android-armv7-cross.sh59
-rw-r--r--make/scripts/setenv-android-tools.sh79
4 files changed, 94 insertions, 105 deletions
diff --git a/make/jogamp-androidtasks.xml b/make/jogamp-androidtasks.xml
index 30d8dc0..709d168 100644
--- a/make/jogamp-androidtasks.xml
+++ b/make/jogamp-androidtasks.xml
@@ -247,7 +247,7 @@
</exec>
<echo>aapt.signed @{jarbasename}: zip aligning</echo>
- <exec dir="." executable="${env.ANDROID_HOME}/tools/zipalign" failonerror="true">
+ <exec dir="." executable="${env.ANDROID_HOME}/build-tools/${env.ANDROID_BUILD_TOOLS_VERSION}/zipalign" failonerror="true">
<arg line="-v" />
<arg value="-f" />
<arg value="4" />
diff --git a/make/scripts/make.gluegen.all.android-armv6-cross.sh b/make/scripts/make.gluegen.all.android-armv6-cross.sh
index 8c9f0f4..7c3043f 100755
--- a/make/scripts/make.gluegen.all.android-armv6-cross.sh
+++ b/make/scripts/make.gluegen.all.android-armv6-cross.sh
@@ -6,6 +6,10 @@ if [ -e $SDIR/setenv-build-jogl-x86_64.sh ] ; then
. $SDIR/setenv-build-jogl-x86_64.sh
fi
+if [ -e $SDIR/setenv-android-tools.sh ] ; then
+ . $SDIR/setenv-android-tools.sh
+fi
+
export NODE_LABEL=.
export HOST_UID=jogamp
@@ -22,70 +26,21 @@ export TARGET_ADB_PORT=5555
export TARGET_ROOT=/data/projects
export TARGET_ANT_HOME=/usr/share/ant
-echo ANDROID_HOME $ANDROID_HOME
-echo NDK_ROOT $NDK_ROOT
-
-if [ -z "$NDK_ROOT" ] ; then
- #
- # Generic android-ndk
- #
- if [ -e /usr/local/android-ndk ] ; then
- NDK_ROOT=/usr/local/android-ndk
- elif [ -e /opt-linux-x86/android-ndk ] ; then
- NDK_ROOT=/opt-linux-x86/android-ndk
- elif [ -e /opt/android-ndk ] ; then
- NDK_ROOT=/opt/android-ndk
- #
- # Specific android-ndk-r8d
- #
- elif [ -e /usr/local/android-ndk-r8d ] ; then
- NDK_ROOT=/usr/local/android-ndk-r8d
- elif [ -e /opt-linux-x86/android-ndk-r8d ] ; then
- NDK_ROOT=/opt-linux-x86/android-ndk-r8d
- elif [ -e /opt/android-ndk-r8d ] ; then
- NDK_ROOT=/opt/android-ndk-r8d
- else
- echo NDK_ROOT is not specified and does not exist in default locations
- exit 1
- fi
-elif [ ! -e $NDK_ROOT ] ; then
- echo NDK_ROOT $NDK_ROOT does not exist
- exit 1
-fi
-export NDK_ROOT
-
-if [ -z "$ANDROID_HOME" ] ; then
- if [ -e /usr/local/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/usr/local/android-sdk-linux_x86
- elif [ -e /opt-linux-x86/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/opt-linux-x86/android-sdk-linux_x86
- elif [ -e /opt/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/opt/android-sdk-linux_x86
- else
- echo ANDROID_HOME is not specified and does not exist in default locations
- exit 1
- fi
-elif [ ! -e $ANDROID_HOME ] ; then
- echo ANDROID_HOME $ANDROID_HOME does not exist
- exit 1
-fi
-export ANDROID_HOME
-
export ANDROID_VERSION=9
export SOURCE_LEVEL=1.6
export TARGET_LEVEL=1.6
export TARGET_RT_JAR=/opt-share/jre1.6.0_30/lib/rt.jar
#export GCC_VERSION=4.4.3
-export GCC_VERSION=4.7
-HOST_ARCH=linux-x86
+export GCC_VERSION=4.8
+HOST_ARCH=linux-x86_64
export TARGET_TRIPLE=arm-linux-androideabi
export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TARGET_TRIPLE}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
export TARGET_PLATFORM_ROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm
# Need to add toolchain bins to the PATH.
-export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/17.0.0:$PATH"
+export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION:$PATH"
export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-android-armv6.xml"
diff --git a/make/scripts/make.gluegen.all.android-armv7-cross.sh b/make/scripts/make.gluegen.all.android-armv7-cross.sh
index f79b904..7c180dd 100755
--- a/make/scripts/make.gluegen.all.android-armv7-cross.sh
+++ b/make/scripts/make.gluegen.all.android-armv7-cross.sh
@@ -4,6 +4,10 @@ if [ -e $SDIR/setenv-build-jogl-x86_64.sh ] ; then
. $SDIR/setenv-build-jogl-x86_64.sh
fi
+if [ -e $SDIR/setenv-android-tools.sh ] ; then
+ . $SDIR/setenv-android-tools.sh
+fi
+
export NODE_LABEL=.
export HOST_UID=jogamp
@@ -20,70 +24,21 @@ export TARGET_ADB_PORT=5555
export TARGET_ROOT=/data/projects
export TARGET_ANT_HOME=/usr/share/ant
-echo ANDROID_HOME $ANDROID_HOME
-echo NDK_ROOT $NDK_ROOT
-
-if [ -z "$NDK_ROOT" ] ; then
- #
- # Generic android-ndk
- #
- if [ -e /usr/local/android-ndk ] ; then
- NDK_ROOT=/usr/local/android-ndk
- elif [ -e /opt-linux-x86/android-ndk ] ; then
- NDK_ROOT=/opt-linux-x86/android-ndk
- elif [ -e /opt/android-ndk ] ; then
- NDK_ROOT=/opt/android-ndk
- #
- # Specific android-ndk-r8d
- #
- elif [ -e /usr/local/android-ndk-r8d ] ; then
- NDK_ROOT=/usr/local/android-ndk-r8d
- elif [ -e /opt-linux-x86/android-ndk-r8d ] ; then
- NDK_ROOT=/opt-linux-x86/android-ndk-r8d
- elif [ -e /opt/android-ndk-r8d ] ; then
- NDK_ROOT=/opt/android-ndk-r8d
- else
- echo NDK_ROOT is not specified and does not exist in default locations
- exit 1
- fi
-elif [ ! -e $NDK_ROOT ] ; then
- echo NDK_ROOT $NDK_ROOT does not exist
- exit 1
-fi
-export NDK_ROOT
-
-if [ -z "$ANDROID_HOME" ] ; then
- if [ -e /usr/local/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/usr/local/android-sdk-linux_x86
- elif [ -e /opt-linux-x86/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/opt-linux-x86/android-sdk-linux_x86
- elif [ -e /opt/android-sdk-linux_x86 ] ; then
- ANDROID_HOME=/opt/android-sdk-linux_x86
- else
- echo ANDROID_HOME is not specified and does not exist in default locations
- exit 1
- fi
-elif [ ! -e $ANDROID_HOME ] ; then
- echo ANDROID_HOME $ANDROID_HOME does not exist
- exit 1
-fi
-export ANDROID_HOME
-
export ANDROID_VERSION=9
export SOURCE_LEVEL=1.6
export TARGET_LEVEL=1.6
export TARGET_RT_JAR=/opt-share/jre1.6.0_30/lib/rt.jar
#export GCC_VERSION=4.4.3
-export GCC_VERSION=4.7
-HOST_ARCH=linux-x86
+export GCC_VERSION=4.8
+HOST_ARCH=linux-x86_64
export TARGET_TRIPLE=arm-linux-androideabi
export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TARGET_TRIPLE}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
export TARGET_PLATFORM_ROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm
# Need to add toolchain bins to the PATH.
-export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$PATH"
+export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION:$PATH"
export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-android-armv7.xml"
diff --git a/make/scripts/setenv-android-tools.sh b/make/scripts/setenv-android-tools.sh
new file mode 100644
index 0000000..c178e4e
--- /dev/null
+++ b/make/scripts/setenv-android-tools.sh
@@ -0,0 +1,79 @@
+#! /bin/sh
+
+echo $0
+
+echo Presets
+echo NDK_ROOT $NDK_ROOT
+echo ANDROID_HOME $ANDROID_HOME
+echo ANDROID_BUILD_TOOLS_VERSION $ANDROID_BUILD_TOOLS_VERSION
+
+if [ -z "$NDK_ROOT" ] ; then
+ #
+ # Generic android-ndk
+ #
+ if [ -e /usr/local/android-ndk ] ; then
+ NDK_ROOT=/usr/local/android-ndk
+ elif [ -e /opt-linux-x86_64/android-ndk ] ; then
+ NDK_ROOT=/opt-linux-x86_64/android-ndk
+ elif [ -e /opt-linux-x86/android-ndk ] ; then
+ NDK_ROOT=/opt-linux-x86/android-ndk
+ elif [ -e /opt/android-ndk ] ; then
+ NDK_ROOT=/opt/android-ndk
+ #
+ # Specific android-ndk-r10d
+ #
+ elif [ -e /usr/local/android-ndk-r10d ] ; then
+ NDK_ROOT=/usr/local/android-ndk-r10d
+ elif [ -e /opt-linux-x86_64/android-ndk-r10d ] ; then
+ NDK_ROOT=/opt-linux-x86_64/android-ndk-r10d
+ elif [ -e /opt-linux-x86/android-ndk-r10d ] ; then
+ NDK_ROOT=/opt-linux-x86/android-ndk-r10d
+ elif [ -e /opt/android-ndk-r10d ] ; then
+ NDK_ROOT=/opt/android-ndk-r10d
+ else
+ echo NDK_ROOT is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $NDK_ROOT ] ; then
+ echo NDK_ROOT $NDK_ROOT does not exist
+ exit 1
+fi
+export NDK_ROOT
+
+if [ -z "$ANDROID_HOME" ] ; then
+ if [ -e /usr/local/android-sdk-linux_x86 ] ; then
+ ANDROID_HOME=/usr/local/android-sdk-linux_x86
+ elif [ -e /opt-linux-x86/android-sdk-linux_x86 ] ; then
+ ANDROID_HOME=/opt-linux-x86/android-sdk-linux_x86
+ elif [ -e /opt/android-sdk-linux_x86 ] ; then
+ ANDROID_HOME=/opt/android-sdk-linux_x86
+ else
+ echo ANDROID_HOME is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $ANDROID_HOME ] ; then
+ echo ANDROID_HOME $ANDROID_HOME does not exist
+ exit 1
+fi
+export ANDROID_HOME
+
+if [ -z "$ANDROID_BUILD_TOOLS_VERSION" ] ; then
+ if [ -e $ANDROID_HOME/build-tools/21.1.2/zipalign ] ; then
+ ANDROID_BUILD_TOOLS_VERSION=21.1.2
+ elif [ -e $ANDROID_HOME/build-tools/20.0.0/zipalign ] ; then
+ ANDROID_BUILD_TOOLS_VERSION=20.0.0
+ else
+ echo ANDROID_BUILD_TOOLS_VERSION $ANDROID_HOME/build-tools/ANDROID_BUILD_TOOLS_VERSION/zipalign does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION/zipalign ] ; then
+ echo ANDROID_BUILD_TOOLS_VERSION $ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION/zipalign does not exist
+ exit 1
+fi
+export ANDROID_BUILD_TOOLS_VERSION
+
+echo Set
+echo NDK_ROOT $NDK_ROOT
+echo ANDROID_HOME $ANDROID_HOME
+echo ANDROID_BUILD_TOOLS_VERSION $ANDROID_BUILD_TOOLS_VERSION
+